{
  packageOverrides = pkgs: with pkgs; {
    # buildEnv is not absolutely equivalent to
    # `nix-env -i -f ./nixRoot/default.nix`, see
    # https://github.com/NixOS/nix/issues/2682
    immaePackages = pkgs.buildEnv {
      name = "Immae-packages";
      paths = builtins.attrValues (import ./nixRoot/default.nix);
      pathsToLink = [ "/bin" "/etc" "/include" "/lib" "/libexec" "/share"];
      extraOutputsToInstall = [ "bin" "man" "doc" "info" ];
    };
    # This adds header colors to the builds, but it rebuilds the whole
    # world from scratch, so only use it to debug!
    # add it as postHook in derivations
    immaePostHook = ''
      header() {
        echo -ne "\033[1;36m"
        echo -n "$1"
        echo -e "\033[0m"
      }

      echoCmd() {
        printf "\033[1;34m%s:\033[0m" "$1"
        shift
        printf ' %q' "$@"
        echo
      }
    '';
  };
}
