{ env, ruby_2_6, bundlerEnv, defaultGemConfig, fetchedGithub, stdenv, writeText, pkgs }:
let
  varDir = "/var/lib/taskwarrior-web";
  socketsDir = "/run/taskwarrior-web";
  rubyRoot = stdenv.mkDerivation (fetchedGithub ./taskwarrior-web.json // rec {
    phases = [ "unpackPhase" "patchPhase" "installPhase" ];
    patches = [ ./fixes.patch ./thin.patch ];
    installPhase = ''
      cp -a . $out
      cp ${./Gemfile.lock} $out/Gemfile.lock
      '';
  });
  gems = bundlerEnv {
    name = "taskwarrior-web-env";
    ruby = ruby_2_6;
    pname = "taskwarrior-web";
    gemset = ./gemset.nix;
    gemdir = rubyRoot.out;
    groups = [ "default" "local" "development" ];
  };
in
  {
    inherit gems varDir socketsDir rubyRoot;
  }
